module OrientDb
  class AttributeRepository < Base
    
    def find_by_key_and_value(key, value)
        result = connection.query sprintf("SELECT FROM %s WHERE key = '%s' AND value = '%s'", odb_class, key, value)
        build_objects(result)
    end

    def build_object(args={})
      subject = nil
      unless args.nil?
        subject = Attribute.new(:id => args["@rid"])
        args.each do |var, val|
          var_name = "@"+var
          if subject.respond_to?(var)
            subject.instance_variable_set(var_name, val)
          end
        end
      end
      subject
    end
    
    private

    def odb_class
        "Attribute"
    end

  end
end