require 'test_helper'

class UserRepositoryProxyTest < ActiveSupport::TestCase

  test 'raise an exception when create graph node with not persisted user' do
    user = User.new
    odb_user_repository = mock
    repository = UserRepositoryProxy.new odb_user_repository

    assert_raise ::NotPersistedRecordError do
      repository.create_graph_node user
    end

    assert odb_user_repository.verify
  end

end