# the Environments class holds the repository for each environment
class Repository::Environments

  def self.create(env)
    env = env
    environments[env] = Repository::Repository.new
    yield(environments[env]) if block_given?
  end

  def self.environments
    @environments ||= {}
  end

  def self.fetch(env)
    environments.fetch env.to_sym
  end

end